#include <iostream>
using namespace std;
int main(){

    int n,i;
    cin >> n;
    int u[n-1];
    int v[n-1];
    char s[n-1];
    for(i=0;i<n-1;i++){
        cin >> u[i] >> v[i] >> s[i];
    }
    cout << 1;

}